4

I have an issue upon installing kubuntu-desktop package, the problem is that I can't install package software-properties-kde which depends another package called python3-software-properties where required version is 0.96.24.32.7. My Linux Mint PPA downloads version 1.8.4, the problem was solved by using bionic PPA

sudo apt install -t bionic-updates python3-software-properties 

But after this, here's another problem with which I stuck. While I'm trying to install software-properties-kde I have encountered with dpkg issue, it says about archive processing error, here's the error log:

dpkg: error processing archive /var/cache/apt/archives/software-properties-kde_0.96.24.32.7_all.deb (--unpack):
 trying to overwrite '/usr/share/man/man1/software-properties-kde.1.gz', which is also in package mintsources 1.8.4
Errors were encountered while processing:
 /var/cache/apt/archives/software-properties-kde_0.96.24.32.7_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

The executed command was sudo apt install software-properties-kde

After searching among internet I haven't found any solution.

4 Answers 4

1

For those who need answer. I have resolved it by force overwrite:

sudo dpkg -i --force-overwrite <filename>

In my case:

sudo dpkg -i --force-overwrite /var/cache/apt/archives/software-properties-kde_0.96.24.32.7_all.deb

and then successfully executed sudo apt install kubuntu-desktop

1
  • Thanks for this fix
    – shmu
    Jul 21, 2019 at 13:35
1

While the above "solutions" work to force software-properties-kde (0.96.x) into Linux Mint 19.x they create a conflict with mintsources (1.8.x).

The way to resolve this properly is to install software-properties-kde (1.8.0 or greater). This can be obtained from UbuntUpdates.org: Download 1.8.0 package for Tara here (Tessa version 1.8.4 also available): https://www.ubuntuupdates.org/package/mint_upstream/tara/upstream/base/software-properties-kde

This repository for Linux Mint has some extra packages to make up for things that are missing/broken/conflicting.

The 1.8.x version contains almost nothing and depends only on mintsources being installed. Thereby eliminating the conflict for Mint and allowing kubuntu-desktop and other software to install correctly.

I have fixed a system that had this exact problem, where I forced the old 0.96.x version in only to have an issue with mintupdate constantly wanting to install mintsources 1.8.8 (in Tina) and remove kubuntu-desktop! Installing software-properties-kde 1.8.0 with dpkg gave no errors, then trying mintupdate again it installed mintsources without conflict or asking to remove kubuntu-desktop.

0

Thank you very much. Received error

Errors were encountered while processing: software-properties-kde

after running sudo dpkg -i --force-overwrite */software-properties-kde*.deb

But was able to install kubuntu-desktop anyway

0

From https://www.incredigeek.com/home/kubuntu-desktop-depends-software-properties-kde-but-it-is-not-going-to-be-installed/

If exists, remove python3-software-properties

sudo apt-get remove python3-software-properties

then install again from bionic:

sudo apt install -t bionic-updates python3-software-properties

Now you can install:

sudo apt install software-properties-kde

If needed, force it:

sudo dpkg -i --force-overwrite /var/cache/apt/archives/software-properties-kde_0.96.24.32.11_all.deb

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .